<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

only_reg();
$set['title']='Экономия трафика';
include_once '../../sys/inc/thead.php';
title();


if (isset($_POST['on'])){
if (isset($_POST['on']) && $_POST['on']<=1)
{
$user['ekonom']=intval($_POST['on']);
mysql_query("UPDATE `user` SET `ekonom` = '".($user['ekonom']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Ошибка';
if (!isset($err)){$_SESSION['message'] = 'Изменения успешно приняты';
header("Location: ?"); exit;}
}

if (isset($_POST['off'])){
if (isset($_POST['off']) && $_POST['off']>=-1)
{
$user['ekonom']=intval($_POST['off']);
mysql_query("UPDATE `user` SET `ekonom` = '".($user['ekonom']-0)."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Ошибка';
if (!isset($err)){$_SESSION['message'] = 'Изменения успешно приняты';
header("Location: ?"); exit;}
}

err();
aut();







echo "<div class='gmenu'><font color=#000><b>Как работает Экономия трафика?</b></font></br>
- Отключаются все смайлы.</br>
- Полностью отключается вся реклама (тизеры, баннеры).</br>
- Убирается логотип сайта.</br>
- В некоторых разделах сайта, отключается показ фото (аватарок).</br>
Если у Вас безлимитный интернет, то нет необходимости включать</br>
экономный режим в целях комфортности, данный режим предназначен всего лишь
для экономии Вашего интернет трафика.</div>";

echo "<form method='post' action='?$passgen'>\n";
if($user['ekonom']==0){
echo "<font color=red><b>Экономный режим отключен.</b></font></br>
Хотите включить режим экономии трафика?</br>";
echo "<input class='submit' type='submit' ".($user['ekonom']==1?" selected='selected'":null)." name='on' value='Включить' /><br />";
}else{
echo "<font color=green><b>Включен экономный режим.</b></font></br>Хотите отключить?</br>";
echo "<input class='submit' type='submit' ".($user['ekonom']==0?" selected='selected'":null)." name='off' value='Отключить' /><br />";
}
echo "</form>\n";
echo "<div class=\"foot\">\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php?id=$user[id]'>$user[nick]</a> | \n";
echo '<b>Общие</b>';
echo "</div>\n";
include_once '../../sys/inc/tfoot.php';


?>